import { SvelteComponent, init, safe_not_equal, element, attr, listen, insert, noop, add_render_callback, create_bidirectional_transition, detach, create_slot, space, append, add_binding_callback, group_outros, on_outro, check_outros, get_slot_changes, get_slot_context } from 'svelte/internal';
import { fly } from 'svelte/transition';
import { onMount, onDestroy } from 'svelte';

/* src/index.html generated by Svelte v3.4.2 */

// (47:4) {#if leftEnable}
function create_if_block_1(ctx) {
	var div, div_transition, current, dispose;

	return {
		c() {
			div = element("div");
			div.innerHTML = `<svg class="mdc-fab__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M15.41 16.59L10.83 12l4.58-4.59L14 6l-6 6 6 6 1.41-1.41z"></path><path fill="none" d="M0 0h24v24H0V0z"></path></svg>`;
			div.className = "mdc-fab mdc-fab--mini skip-button start";
			attr(div, "role", "button");
			dispose = listen(div, "click", ctx.moveLeft);
		},

		m(target, anchor) {
			insert(target, div, anchor);
			current = true;
		},

		p: noop,

		i(local) {
			if (current) return;
			add_render_callback(() => {
				if (!div_transition) div_transition = create_bidirectional_transition(div, fly, { x: -100, duration: 200 }, true);
				div_transition.run(1);
			});

			current = true;
		},

		o(local) {
			if (!div_transition) div_transition = create_bidirectional_transition(div, fly, { x: -100, duration: 200 }, false);
			div_transition.run(0);

			current = false;
		},

		d(detaching) {
			if (detaching) {
				detach(div);
				if (div_transition) div_transition.end();
			}

			dispose();
		}
	};
}

// (57:4) {#if leftRight}
function create_if_block(ctx) {
	var div, div_transition, current, dispose;

	return {
		c() {
			div = element("div");
			div.innerHTML = `<svg class="mdc-fab__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M8.59 16.59L13.17 12 8.59 7.41 10 6l6 6-6 6-1.41-1.41z"></path><path fill="none" d="M0 0h24v24H0V0z"></path></svg>`;
			div.className = "mdc-fab mdc-fab--mini skip-button end";
			attr(div, "role", "button");
			dispose = listen(div, "click", ctx.moveRight);
		},

		m(target, anchor) {
			insert(target, div, anchor);
			current = true;
		},

		p: noop,

		i(local) {
			if (current) return;
			add_render_callback(() => {
				if (!div_transition) div_transition = create_bidirectional_transition(div, fly, { x: 100, duration: 200 }, true);
				div_transition.run(1);
			});

			current = true;
		},

		o(local) {
			if (!div_transition) div_transition = create_bidirectional_transition(div, fly, { x: 100, duration: 200 }, false);
			div_transition.run(0);

			current = false;
		},

		d(detaching) {
			if (detaching) {
				detach(div);
				if (div_transition) div_transition.end();
			}

			dispose();
		}
	};
}

function create_fragment(ctx) {
	var div1, t0, div0, t1, current;

	var if_block0 = (ctx.leftEnable) && create_if_block_1(ctx);

	const default_slot_1 = ctx.$$slots.default;
	const default_slot = create_slot(default_slot_1, ctx, null);

	var if_block1 = (ctx.leftRight) && create_if_block(ctx);

	return {
		c() {
			div1 = element("div");
			if (if_block0) if_block0.c();
			t0 = space();
			div0 = element("div");

			if (default_slot) default_slot.c();
			t1 = space();
			if (if_block1) if_block1.c();

			div0.className = "items";
			div1.className = "horizontal-list-container";
		},

		l(nodes) {
			if (default_slot) default_slot.l(div0_nodes);
		},

		m(target, anchor) {
			insert(target, div1, anchor);
			if (if_block0) if_block0.m(div1, null);
			append(div1, t0);
			append(div1, div0);

			if (default_slot) {
				default_slot.m(div0, null);
			}

			add_binding_callback(() => ctx.div0_binding(div0, null));
			append(div1, t1);
			if (if_block1) if_block1.m(div1, null);
			current = true;
		},

		p(changed, ctx) {
			if (ctx.leftEnable) {
				if (if_block0) {
					if_block0.p(changed, ctx);
					if_block0.i(1);
				} else {
					if_block0 = create_if_block_1(ctx);
					if_block0.c();
					if_block0.i(1);
					if_block0.m(div1, t0);
				}
			} else if (if_block0) {
				group_outros();
				on_outro(() => {
					if_block0.d(1);
					if_block0 = null;
				});

				if_block0.o(1);
				check_outros();
			}

			if (default_slot && default_slot.p && changed.$$scope) {
				default_slot.p(get_slot_changes(default_slot_1, ctx, changed, null), get_slot_context(default_slot_1, ctx, null));
			}

			if (changed.items) {
				ctx.div0_binding(null, div0);
				ctx.div0_binding(div0, null);
			}

			if (ctx.leftRight) {
				if (if_block1) {
					if_block1.p(changed, ctx);
					if_block1.i(1);
				} else {
					if_block1 = create_if_block(ctx);
					if_block1.c();
					if_block1.i(1);
					if_block1.m(div1, null);
				}
			} else if (if_block1) {
				group_outros();
				on_outro(() => {
					if_block1.d(1);
					if_block1 = null;
				});

				if_block1.o(1);
				check_outros();
			}
		},

		i(local) {
			if (current) return;
			if (if_block0) if_block0.i();
			if (default_slot && default_slot.i) default_slot.i(local);
			if (if_block1) if_block1.i();
			current = true;
		},

		o(local) {
			if (if_block0) if_block0.o();
			if (default_slot && default_slot.o) default_slot.o(local);
			if (if_block1) if_block1.o();
			current = false;
		},

		d(detaching) {
			if (detaching) {
				detach(div1);
			}

			if (if_block0) if_block0.d();

			if (default_slot) default_slot.d(detaching);
			ctx.div0_binding(null, div0);
			if (if_block1) if_block1.d();
		}
	};
}

function instance($$self, $$props, $$invalidate) {
	

    let left = 0;
    let list;

    onMount(() => {
        $$invalidate('left', left = list.scrollLeft);
    });

    const myInterval = setInterval(() => {
        if (left !== list.scrollLeft) {
            $$invalidate('left', left = list.scrollLeft);
        }
    }, 500);

    onDestroy(() => {
        clearInterval(myInterval);
    });

    function moveLeft() {
        list.scrollTo({
            left: list.scrollLeft - window.innerWidth - 21,
            behavior: 'smooth',
        });

        $$invalidate('left', left = list.scrollLeft);
    }

    function moveRight() {
        list.scrollTo({
            left: list.scrollLeft + window.innerWidth - 21,
            behavior: 'smooth',
        });
        $$invalidate('left', left = list.scrollLeft);
    }

	let { $$slots = {}, $$scope } = $$props;

	function div0_binding($$node, check) {
		list = $$node;
		$$invalidate('list', list);
	}

	$$self.$set = $$props => {
		if ('$$scope' in $$props) $$invalidate('$$scope', $$scope = $$props.$$scope);
	};

	let leftEnable, leftRight;

	$$self.$$.update = ($$dirty = { list: 1, left: 1 }) => {
		if ($$dirty.list || $$dirty.left) { $$invalidate('leftEnable', leftEnable = list ? left !== 0 : false); }
		if ($$dirty.list || $$dirty.left) { $$invalidate('leftRight', leftRight = list ? left < (list.scrollWidth - list.clientWidth) : false); }
	};

	return {
		list,
		moveLeft,
		moveRight,
		leftEnable,
		leftRight,
		div0_binding,
		$$slots,
		$$scope
	};
}

class Index extends SvelteComponent {
	constructor(options) {
		super();
		init(this, options, instance, create_fragment, safe_not_equal, []);
	}
}

export default Index;
